{% extends 'base.html.twig' %}

{% block title %}Exercise index{% endblock %}

{% block body %}
    {% if app.user.subject %}
        <h1 class="my-5 text-center">Exercises of {{ app.user.subject.name | capitalize}}</h1>

        <div class="row">
            <div class="col-md-10 offset-md-1 col-sm-12">
                <div class="row mx-1 my-3">
                    <a href="{{ path('professor_exercise_new',{'id': app.user.subject.id}) }}" class="btn btn-info"><i class="fas fa-plus pr-2"></i><small>CREATE EXERCISE</small></a>
                    <div class="col-lg-4 col-md-6 m-auto">
                        <div class="search-bar">
                            <input type="text" id="myInput" placeholder="Search an exercise">
                            <span class="bi bi-search icon-search"></span>
                        </div>
                    </div>
                </div>
                <div id="myTable">
                    <table id="allExercisesTableProfessor" class="table table-striped">
                        <button id="remove-checkbox-button" class="btn btn-danger mb-3 checkbox-remove" data-toggle="modal" data-target="#modalRemoveExercises"><i class="fas fa-trash mr-2"></i>Remove (<span class="count-checkbox">0</span> selected)</button>
                        <div class="modal fade" id="modalRemoveExercises" tabindex="-1" role="dialog" aria-hidden="true">
                            <div class="modal-dialog modal-dialog-scrollable" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title">Confirmation</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <p>Are you sure you want to delete the selected exercise(s) ?</p>
                                        <form id="modalFormRemoveExercises" action="{{ path('professor_exercise_delete_exercises') }}" method="post">
                                            <input type="hidden" name="_token" value="{{ csrf_token('deleteExercises') }}">
                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="confirmButton-modalFormRemoveExercises btn btn-info">Confirm</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <thead class="thead-dark">
                            <tr>
                                <th>
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox" value="" id="checkbox-all" data-id="allExercisesTableProfessor">
                                        <label class="form-check-label" for="flexCheckDefault"></label>
                                    </div>
                                </th>
                                <th>Name<i class="fas fa-sort icon-sort"></i></th>
                                <th>Description<i class="fas fa-sort icon-sort"></i></th>
                                <th>Subject<i class="fas fa-sort icon-sort"></i></th>
                                <th>actions</th>
                            </tr>
                        </thead>
                        <tbody>
                        {% for exercise in exercises %}
                            <tr>
                                <td>
                                    <div class="form-check form-check-remove">
                                        <input class="form-check-input" type="checkbox" value="" id="checkbox-{{ exercise.id }}">
                                        <label class="form-check-label" for="flexCheckDefault"></label>
                                    </div>
                                </td>
                                <td>{{ exercise.name|u.truncate(30, '...') }} </td>
                                <td>{{ exercise.description|u.truncate(30, '...') }} </td>
                                <td>{{ exercise.subject.name|u.truncate(30, '...') }} </td>
                                <td>
                                    <a href="{{ path('professor_exercise_show', {'id': exercise.id}) }}" class="btn btn-info"><i class="fas fa-eye"></i></a>
                                    <a href="{{ path('professor_exercise_edit', {'id': exercise.id}) }}" class="btn btn-info"><i class="fas fa-pen"></i></a>
                                    <a href="{{ path('professor_question_new', {'id': exercise.id}) }}" class="btn btn-info">Add question</a>
                                    <button type="button" class="btn btn-info" data-toggle="modal" data-target="#modalAddClass{{exercise.id}}">
                                    Add to Class
                                    </button>

                                    <!-- Modal -->
                                    <div class="modal fade" id="modalAddClass{{ exercise.id }}" tabindex="-1" role="dialog" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-scrollable" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title" id="exampleModalScrollableTitle">Classes available</h5>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <form id="modalFormAddClass{{ exercise.id }}" action="{{ path('professor_exercise_addGroup',{'id': exercise.id}) }}" method="post">
                                                        {% for group in app.user.professorGroups | classesAvailable(exercise.id, app.user) %}
                                                            <div class="container form-check w-100">
                                                                <div class="row">
                                                                    <label class="col-10 form-check-label d-inline" for="checkbox-{{ group.id }}">{{ group.name }}</label>
                                                                    <input class="col-2" type="checkbox" value="" id="checkbox-{{ group.id }}" name="checkbox-{{ group.id }}">
                                                                </div>
                                                            </div>
                                                            <hr>
                                                        {% else %}
                                                            <div>no class available</div>
                                                        {% endfor %}
                                                    </form>
                                                </div>
                                                <div class="modal-footer">
                                                    <button data-exercise="{{ exercise.id }}" type="button" class="submitButtonFormModalAddClass btn btn-info">Save changes</button>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                        {% else %}
                            <tr>
                                <td colspan="5">No Records Found !!</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    {% else %}
        <h1 class="my-5 text-center">No Subject recorded</h1>
    {% endif %}
{% endblock %}
